org.modeshape.web.jcr.rest.client.domain

## Class PropertyDefinition.Id

- java.lang.Object
- - org.modeshape.web.jcr.rest.client.domain.PropertyDefinition.Id

- Enclosing class:
    PropertyDefinition

      protected static class PropertyDefinition.Id
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isMultiple`
    `protected String` | `name`
    `protected int` | `requiredType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PropertyDefinition.Id(String name, boolean isMultiple, int requiredType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected final String name

    - #### isMultiple

          protected final boolean isMultiple

    - #### requiredType

          protected final int requiredType

  - ### Constructor Detail

    - #### PropertyDefinition.Id

          protected PropertyDefinition.Id(String name,
                               boolean isMultiple,
                               int requiredType)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      See Also:
        `Object.toString()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.